Description

History

#1 - 09/23/2013 02:43 PM - Jan Dolinár

- File Sql.patch added

- Category set to Sql

- Status changed from New to Patch ready

- Assignee set to Miroslav Fidler

- % Done changed from 0 to 100

See attached patch please. I added: SqlVal SqlCurrentDate();

SqlVal SqlCurrentTime();

SqlVal SqlCurrentTimestamp();

Tested with MySql and SQLite. Should also work with Postgres, Oracle and MSSQL, according to their docs.

#2 - 10/06/2013 07:56 PM - Miroslav Fidler

- Status changed from Patch ready to Ready for QA

- Assignee changed from Miroslav Fidler to Jan Dolinár

After some thinking, I have used only single SqlCurrentTime that returns SQL timestamp. I guess this way it is more consistent with U++ Date/Time...

however I can be easily persuaded the other way.

#3 - 10/08/2013 06:25 PM - Jan Dolinár

- Status changed from Ready for QA to Approved

Miroslav Fidler wrote:

After some thinking, I have used only single SqlCurrentTime that returns SQL timestamp. I guess this way it is more consistent with U++

Date/Time... however I can be easily persuaded the other way.

Ok, it makes sense.

Files

Sql.patch 1.18 KB 09/23/2013 Jan Dolinár

05/17/2025 1/1


